Skip to content

Restore retained content as a new independently charged revision

POST/v1/files/restorations

Authorization

AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

curl -X POST "https://example.com/v1/files/restorations" \
  -H "Content-Type: application/json" \
  -d '{
    "workplaceId": "4989ce91-52f9-461b-87fa-af1f28004fc0",
    "fileId": "a1c6a2ab-4b01-4253-b4c9-70e04b3b48fc",
    "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6",
    "expectedVersion": "d4872add-ad6c-489f-92b8-0d0c927185fe",
    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969"
  }'
{
  "state": "restored",
  "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",
  "fileId": "a1c6a2ab-4b01-4253-b4c9-70e04b3b48fc",
  "restoredFromRevisionId": "77a4d71f-cccb-4da4-bef3-ea0e06fd9844",
  "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6",
  "version": "8b898373-21c7-4028-b85f-cc5068e68df9",
  "occurredAt": "2019-08-24T14:15:22Z"
}